<template>
  <v-row justify="center">
    <v-col :cols="10">
      <v-form id="contact" class="contact-form">
        <h1 id="contact">Laissez-moi un message ✉️ :</h1>
        <v-banner v-if="isBanner">
          <v-avatar slot="icon" color="deep-purple accent-4" size="40">
            <v-icon icon="mdi-lock" color="white"> mdi-lock </v-icon>
          </v-avatar>

          Bientôt disponible!

          <template #actions>
            <v-btn text color="deep-purple accent-4" @click="isBanner = false">
              J'ai compris
            </v-btn>
          </template>
        </v-banner>
        <v-text-field label="Nom" depressed disabled> </v-text-field>
        <v-text-field label="Email" depressed disabled></v-text-field>
        <v-textarea depressed disabled></v-textarea>
        <v-btn depressed disabled>Envoyer</v-btn>
      </v-form>
    </v-col>
  </v-row>
</template>

<script>
export default {
  name: 'ContactForm',
  data() {
    return {
      isBanner: true,
    }
  },
}
</script>
<style scoped>
.contact-form {
  margin-top: 80px;
  margin-bottom: 80px;
}

h1 {
  margin-top: 180px;
  margin-bottom: 30px;
}
</style>
